Page MenuHomeFreeBSD

Implement Linux syslog(2) syscall; just enough to make the dmesg(8) utility work.
ClosedPublic

Authored by trasz on Nov 20 2019, 7:22 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Nov 20 2019, 7:22 PM
emaste added a subscriber: emaste.Nov 22 2019, 2:47 PM
emaste added inline comments.
sys/compat/linux/linux_misc.c
2307 ↗(On Diff #64636)

linux_mxg(td, "syslog: unsupported type... perhaps?

trasz updated this revision to Diff 65652.EditedDec 14 2019, 12:12 PM

Add missed chunks and make the fix suggested by emaste@.

trasz marked an inline comment as done.Dec 14 2019, 12:12 PM

(Tinderboxed.)

This revision was not accepted when it landed; it landed in state Needs Review.Sun, Dec 29, 3:54 PM
This revision was automatically updated to reflect the committed changes.